net.minecraft.world

## Enum EnumDifficulty

- java.lang.Object
- - java.lang.Enum<EnumDifficulty>
  - - net.minecraft.world.EnumDifficulty

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumDifficulty>

      public enum EnumDifficulty
      extends java.lang.Enum<EnumDifficulty>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EASY`
    `HARD`
    `NORMAL`
    `PEACEFUL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EnumDifficulty` | `getDifficultyEnum(int p_151523_0_)`
    `int` | `getDifficultyId()`
    `java.lang.String` | `getDifficultyResourceKey()`
    `static EnumDifficulty` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumDifficulty[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PEACEFUL

          public static final EnumDifficulty PEACEFUL

    - #### EASY

          public static final EnumDifficulty EASY

    - #### NORMAL

          public static final EnumDifficulty NORMAL

    - #### HARD

          public static final EnumDifficulty HARD

  - ### Method Detail

    - #### values

          public static EnumDifficulty[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumDifficulty c : EnumDifficulty.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumDifficulty valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDifficultyId

          public int getDifficultyId()

    - #### getDifficultyEnum

          public static EnumDifficulty getDifficultyEnum(int p_151523_0_)

    - #### getDifficultyResourceKey

          public java.lang.String getDifficultyResourceKey()